Package ec.util

# Class Checkpoint

java.lang.Object
ec.util.Checkpoint

public class Checkpoint extends Object
Checkpoints ec.EvolutionState objects out to checkpoint files, or restores the same from checkpoint files. Checkpoint take the following form:

checkpointPrefix`.`generation`.gz`

...where checkpointPrefix is the checkpoing prefix given in ec.EvolutionState, and generation is the current generation number also given in ec.EvolutionState. The ".gz" is added because the file is GZIPped to save space.

When writing a checkpoint file, if you have specified a checkpoint directory in ec.EvolutionState.checkpointDirectory, then this directory will be used to write the checkpoint files. Otherwise they will be written in your working directory (where you ran the Java process).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Checkpoint()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EvolutionState`
  `restoreFromCheckpoint(String checkpoint)`
  Returns an EvolutionState object read from a checkpoint file whose filename is checkpoint
  `static void`
  `setCheckpoint(EvolutionState state)`
  Writes the evolution state out to a file.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Checkpoint

    public Checkpoint()

- ## Method Details

  - ### setCheckpoint

    public static void setCheckpoint(EvolutionState state)
    Writes the evolution state out to a file.

  - ### restoreFromCheckpoint

    public static EvolutionState restoreFromCheckpoint(String checkpoint) throws IOException, ClassNotFoundException, OptionalDataException
    Returns an EvolutionState object read from a checkpoint file whose filename is checkpoint
    Throws:
      `ClassNotFoundException` - thrown when the checkpoint file contains a class reference which doesn't exist in your class hierarchy.
      `IOException`
      `OptionalDataException`